Subject: bug#6252: Emacs does not implement URL (aka "percent") decoding correctly.

From: Lars Magne Ingebrigtsen <[email-masked]>
Date: Mon, 26 Sep 2011 00:16:14 +0200

José A. Romero L. <[email-masked]> writes:

>> If this is just about `url-unhex-string', the obvious solution would be
>> to add a CODING-SYSTEM parameter to that function.
>
> Yes, as I see it, that's definitely it.

I think that's a reasonable thing to add, but Emacs is in a feature
freeze, so it'll probably have to wait until after Emacs 24 has been
released.  I'll mark the bug report as "pending".

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/